<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white">

    <com.common.widget.CameraView
        android:id="@+id/cameraView"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_centerInParent="true" />


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_centerInParent="true"
        android:orientation="vertical">

        <com.common.widget.TopBar
            android:id="@+id/activity_take_photo_topbar"
            android:layout_width="match_parent"
            android:layout_height="50dp" />

        <LinearLayout
            android:id="@+id/imageview_id_frame"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_margin="10dp"
            android:layout_weight="1"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:visibility="invisible">

            <com.qmuiteam.qmui.widget.QMUIVerticalTextView
                android:id="@+id/verticalTextView"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:layout_margin="6dp"
                android:gravity="center_vertical"
                android:paddingBottom="16dp"
                android:paddingTop="16dp"
                android:text="@string/take_ktp_tip_footer"
                android:textColor="@color/white" />


            <ImageView
                android:id="@+id/activity_takephoto_mask_imv"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_margin="10dp"
                android:layout_weight="1"
                android:focusableInTouchMode="false" />

            <com.qmuiteam.qmui.widget.QMUIVerticalTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_margin="6dp"
                android:gravity="center_vertical"
                android:paddingBottom="16dp"
                android:paddingTop="16dp"
                android:text="@string/take_ktp_tip_header"
                android:textColor="@color/white" />

        </LinearLayout>


        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="100dp"
            android:layout_alignParentBottom="true"
            android:background="@color/gray_bg">

            <ImageView
                android:id="@+id/button_shoot"
                android:layout_width="66dp"
                android:layout_height="66dp"
                android:layout_centerHorizontal="true"
                android:layout_centerVertical="true"
                android:rotation="90" />

            <Button
                android:id="@+id/button_cancel"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginLeft="18dp"
                android:background="@null"
                android:rotation="90.0"
                android:text="@string/text_cancel" />
        </RelativeLayout>
    </LinearLayout>


</RelativeLayout>
